> ## Documentation Index
> Fetch the complete documentation index at: https://docs.doshi.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Users

> Fetches a list of users for the institution, optionally filtered by branchId.



## OpenAPI

````yaml /client.json get /client/users
openapi: 3.0.0
info:
  title: Doshi Client API
  version: 1.0.0
  description: API specification for Doshi client-facing services.
servers:
  - url: https://api.doshi.app
    description: Production server
  - url: https://sandbox.api.doshi.app
    description: Sandbox server
security:
  - BearerAuth: []
tags:
  - name: Academy
    description: Endpoints related to educational content like courses, lessons, and paths.
  - name: Auth
    description: Endpoints for user authentication and authorization.
  - name: Marketplace
    description: Endpoints for rewards and redemptions.
  - name: User
    description: Endpoints for user data.
  - name: Quests
    description: Endpoints for quest management.
paths:
  /client/users:
    get:
      tags:
        - User
      summary: Get Users
      description: >-
        Fetches a list of users for the institution, optionally filtered by
        branchId.
      parameters:
        - $ref: '#/components/parameters/AccessTypeHeader'
        - name: branchId
          in: query
          schema:
            type: string
      responses:
        '200':
          description: A list of users.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUsersResponse'
        default:
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    AccessTypeHeader:
      name: Access-Type
      in: header
      required: true
      schema:
        type: string
        enum:
          - client
      description: Must be set to 'client' for all API requests
  schemas:
    GetUsersResponse:
      type: object
      properties:
        users:
          type: array
          items:
            $ref: '#/components/schemas/User'
        total:
          type: integer
      required:
        - users
        - total
    Error:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        details:
          type: object
          additionalProperties: true
      required:
        - code
        - message
    User:
      type: object
      properties:
        id:
          type: string
        email:
          type: string
          format: email
        firstName:
          type: string
          nullable: true
        partnerUserId:
          type: string
          nullable: true
        academyPathId:
          type: string
          nullable: true
        sumsubVerificationResult:
          type: string
          nullable: true
        segmentProgress:
          type: object
          additionalProperties:
            type: string
          nullable: true
        branchId:
          type: string
          nullable: true
        platforms:
          type: array
          items:
            type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        xpBalance:
          type: number
          nullable: true
        doshBalance:
          type: number
          nullable: true
        lifeBalance:
          type: number
          nullable: true
      required:
        - id
        - email
        - createdAt
        - updatedAt
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authentication token (API Key) provided by Doshi. Your server's IP
        address must be whitelisted to use this API. Contact hello@doshi.app to
        whitelist your IPs.

````